Compatibility across releases for ClearCase clients and servers

Preventive Service Planning


Abstract

IBM Rational® ClearCase® operations require communication between multiple client and server components. If some components run different ClearCase versions, operations can be interrupted or stopped by software compatibility issues. To prevent problems, use the compatibility information in this technote to make sure that all components in your environment can operate together successfully.

Content

All versions of the ClearCase software running on the clients and servers in your environment must be compatible.

Compatibility considerations

When considering compatibility issues, keep these points in mind:

    Note: This technote provides the most up-to-date information about compatibility across releases, superseding the compatibility information included in ClearCase Information Centers version 7.1.2 and earlier.

Additional information


ClearCase Compatibility Information


The following tables show the compatibility paths when ClearCase components are not running the same versions of Rational ClearCase. In these tables, Client refers to Rational ClearCase client software which includes one or more of these components:

  • ClearCase native client.
  • ClearCase client using ClearTeam Explorer for dynamic views only.
  • CM/CCRC WAN server, which by default also serves as a view server for web views.

These tables provide a list of compatible combinations for client, view server, VOB server, Rational ClearCase Remote Client, and CM Server.
Table 1. ClearCase Client version compatibility with VOB server.
Client version
VOB Server version
2003.06.xx
7.0.0.x
7.0.1.x
7.1.x.y
7.1.2.x
8.0.0.x
8.0.1
7.0.0.x (5)
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
7.0.1.x (5)
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
7.1.x.y
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
7.1.2.x
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
8.0.0.x
N
Y
Y
Y
Y
Y
Y (6)
8.0.1
N
Y
Y
Y
Y
Y
Y


Table 2. ClearCase Client version compatibility with View server.
Client version
View server version
2003.06.xx
7.0.0.x
7.0.1.x
7.1.x.y
7.1.2.x
8.0.0.x
8.0.1
7.0.0.x (5)
N
Y
Y
Y
Y
Y
Y (6)
7.0.1.x (3) (5)
N
Y
Y
Y
Y
Y
Y (6)
7.1.x.y (3)
N
Y
Y
Y
Y
Y
Y (6)
7.1.2.x (3)
N
Y
Y
Y
Y
Y
Y (6)
8.0.0.x (4)
N
Y
Y
Y
Y
Y
Y (6)
8.0.1
N
Y
Y
Y
Y
Y
Y




Table 3. View server compatibility with VOB server
View server version
VOB Server version
2003.06.xx
7.0.0.x
7.0.1.x
7.1.x.y
7.1.2.x
8.0.0.x
8.0.1
7.0.0.x (5)
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
7.0.1.x (5)
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
7.1.x.y
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
7.1.2.x
N
Y
Y
Y
Y (1)
Y (2)
Y (2) (6)
8.0.0.x
N
Y
Y
Y
Y
Y
Y (6)
8.0.1
N
Y
Y
Y
Y
Y
Y

    Table 4. CM Client compatibility with CM/CCRC WAN Server (See note.)
    Rational ClearTeam Explorer (8.0)
    or
    Rational ClearCase Remote Client
    or
    Rational ClearCase Change Management API Version
    CM Server Version
    CCRC WAN Server
    7.1
    7.1.0.1
    7.1.02
    7.1.1
    7.1.1. y
    7.1.2
    7.1.2. y
    8.0.0. y (y>=0)
    8.0.1
    7.0.1 Rational ClearCase Remote Client only
    N
    N
    N
    N
    N
    N
    N
    N
    N
    7.1
    Y
    Y
    N
    N
    N
    N
    N
    N
    N
    7.1.0.1
    N
    Y
    N
    N
    N
    N
    N
    N
    N
    7.1.0.2
    N
    N
    Y
    N
    N
    N
    N
    N
    N
    7.1.1
    N
    N
    N
    Y
    Y
    Y
    Y
    N
    N
    7.1.1.x
    N
    N
    N
    N
    Y if x<=y

    N if x>y

    Y
    Y
    N
    N
    7.1.2
    N
    N
    N
    N
    N
    Y
    Y
    N
    N
    7.1.2.x
    N
    N
    N
    N
    N
    N
    Y if x<=y

    N if x>y

    N
    N
    8.0.0.x (x>=0)
    N
    N
    N
    N
    N
    N
    N
    Y
    Y
    8.0.1
    N
    N
    N
    N
    N
    N
    N
    Y (7)
    Y

    Note: In V8.0.0.x, backward and forward compatibility is supported between the CM Client and CCRC WAN server.

    Footnotes:
    (1) - Support for SRFM only in version 7.1.2.1 or newer.
    (2) - FL7 feature support needs client at version 8.0.0.0 or newer.
    (3) - ClearCase native client only.
    (4) - ClearCase native client and ClearTeam Explorer for dynamic view support only.
    (5) - For 7.0.0.x and 7.0.1.x releases, the x includes all iFixes and patch releases.
    (6) - VOBs at FL8 with ACLs enforced require clients and view servers at 8.0.1.
    (7) - Only with ACLs disabled.


    Rate this page:

    (0 users)Average rating

    Document information


    More support for:

    Rational ClearCase
    Installation

    Software version:

    7.0, 7.0.0.1, 7.0.0.2, 7.0.0.3, 7.0.0.4, 7.0.0.5, 7.0.0.6, 7.0.0.7, 7.0.0.8, 7.0.0.9, 7.0.1, 7.0.1.1, 7.0.1.2, 7.0.1.3, 7.0.1.4, 7.0.1.5, 7.0.1.6, 7.0.1.7, 7.0.1.8, 7.0.1.9, 7.0.1.10, 7.0.1.11, 7.0.1.12, 7.1, 7.1.0.1, 7.1.0.2, 7.1.1, 7.1.1.1, 7.1.1.2, 7.1.1.3, 7.1.1.4, 7.1.1.5, 7.1.1.6, 7.1.1.7, 7.1.1.8, 7.1.1.9, 7.1.2, 7.1.2.1, 7.1.2.2, 7.1.2.3, 7.1.2.4, 7.1.2.5, 7.1.2.6, 7.1.2.7, 7.1.2.8, 7.1.2.10, 7.1.2.11, 8.0, 8.0.0.1, 8.0.0.2, 8.0.0.3, 8.0.0.4, 8.0.0.5, 8.0.0.6, 8.0.0.7, 8.0.1

    Operating system(s):

    AIX, HP-UX, Linux, Solaris, Windows

    Software edition:

    All Editions

    Reference #:

    1597061

    Modified date:

    2013-06-27

    Translate my page

    Machine Translation

    Content navigation